zabbix_export:
  version: '7.0'
  host_groups:
    - uuid: 6f6799aa69e844b4b3918f779f2abf08
      name: 'Zabbix servers'
  hosts:
    - host: 'Zabbix server'
      name: 'Zabbix server'
      groups:
        - name: 'Zabbix servers'
      interfaces:
        - interface_ref: if1
      httptests:
        - name: '1sr scenario'
          delay: 20s
          attempts: '2'
          steps:
            - name: 'Get NS'
              url: 'https://zabbix.com'
              variables:
                - name: '{NS}'
                  value: '333333'
              follow_redirects: 'NO'
              status_codes: '200,301'
            - name: 'test output with error'
              url: 'http://{NS}/?my_macro_1st_Scenario'
              follow_redirects: 'NO'
              status_codes: '200'
        - name: '2nd Scenario'
          delay: 20s
          attempts: '2'
          steps:
            - name: 'Get value'
              url: 'https://zabbix.com'
              variables:
                - name: '{XML_VAL}'
                  value: '666666'
              follow_redirects: 'NO'
              status_codes: '301'
            - name: 'test output will be error'
              url: 'http://{XML_VAL}/?my_macro_2nd_Scenario'
              follow_redirects: 'NO'
              status_codes: '200'
      inventory:
        location_lat: '56.97612'
        location_lon: '24.16553'
      inventory_mode: AUTOMATIC
